import request from '@/utils/request'

const formDataHeader = {
  headers: {
    'Content-Type': 'application/x-www-form-urlencoded'
  }
}
/**
 * 设备寿命
 */
interface EquipmentLife {
  DeviceId: number
  KeyWord: string
  MaxResultCount: number
  SkipCount: number
}
export const fetchEquipmentLifes = (params: EquipmentLife) =>
  request.get('/api/services/app/EquipmentLife/GetEquipmentLifes', { params })
