export const menuList: any = [
  {
    icon: 'menu1',
    path: '/overview',
    title: '概览',
    component: '1'
  },
  {
    icon: 'menu2',
    path: '/equipment-center/list',
    title: '设备中心',
    meat: true
  },

  {
    icon: 'menu3',
    path: '/equipment-map',
    title: '设备地图',
    component: '1'
  },
  {
    icon: 'menu4',
    path: '/alarm-center',
    title: '报警中心',
    subs: [
      {
        path: '/alarm-center/real-alarm',
        title: '实时报警'
      },
      {
        path: '/alarm-center/history-alarm',
        title: '历史报警'
      }
    ]
  },
  {
    icon: 'menu5',
    path: '/order-center',
    title: '工单中心',
    component: '1',
    subs: [
      {
        path: '/order-center/all-order',
        title: '全部工单'
      },
      {
        path: [
          '/order-center/my-order',
          '/order-center/my-order/send-orders',
          '/order-center/my-order/take-orders',
          '/order-center/my-order/audit'
        ],
        title: '我的工单'
      },
      {
        path: '/order-center/knowledge-management',
        title: '知识管理 ',
        component: '5'
      }
    ]
  },
  {
    icon: 'menu6',
    path: '/equipment-life',
    title: '设备寿命',
    component: '1'
  },
  {
    icon: 'menu7',
    path: '/maintenance-plan',
    title: '维保计划',
    component: '1'
  }
]

export const equipmentMenu = [
  {
    icon: 'menu21',
    path: ['/equipment-center/real-time-data', '/equipment-center/european-gourd'],
    title: '实时数据'
  },
  {
    icon: 'menu22',
    path: '/equipment-center/alarm-record',
    title: '报警记录'
  },
  {
    icon: 'menu23',
    path: '/equipment-center/history-data',
    title: '历史数据'
  },
  {
    icon: 'menu24',
    path: '/equipment-center/statistic-analysis',
    title: '统计分析'
  },
  {
    icon: 'menu25',
    path: '/equipment-center/maintenance-record',
    meat: '/equipment-center/maintenance-record/details',
    title: '维修记录'
  },
  {
    icon: 'menu26',
    path: '/equipment-center/video-surveillance',
    title: '视频监控'
  },
  {
    icon: 'menu27',
    path: '/equipment-center/maintenance-schedule',
    title: '维保计划'
  },
  {
    icon: 'menu28',
    path: '/equipment-center/component-life',
    title: '部件寿命'
  },
  {
    icon: 'menu29',
    path: '/equipment-center/spare-part',
    title: '备品备件 '
  }
]
