import request from '@/utils/request'

const formDataHeader = {
  headers: {
    'Content-Type': 'application/x-www-form-urlencoded'
  }
}
/**
 * 获取 全部消息
 */
export const fetchNotificationTypes = () => request.get('/api/services/app/Notification/GetNotificationTypes')

/**
 * 获取 根据通知类型获取通知数据
 */
export const fetchUserNotificationsByType = (params: any) =>
  request.get('/api/services/app/Notification/GetUserNotificationsByType', { params })

/**
 * 获取 获取未读消息数量
 */
export const fetchUnReadNotificationsCountByType = (params: any) =>
  request.get('/api/services/app/Notification/GetUnReadNotificationsCountByType', { params })
